Package: org.gradle

## [Java] Interface TaskExecutionRequest

- A request to execute some tasks, along with an optional project path context to provide information necessary to select the tasks

  Since:
    2.0

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<String>` | `getArgs()` The arguments to use to select and optionally configure the tasks, as if provided on the command-line.
    `String` | `getProjectPath()` Project path associated with this task request if any.

- - ### Method Detail

    - #### public List<String> getArgs()

      The arguments to use to select and optionally configure the tasks, as if provided on the command-line.

      Returns:
        task name.

    - #### @Nullable public String getProjectPath()

      Project path associated with this task request if any.

      Returns:
        project path or `null` to use the default project path.